This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 187799 - Review Request: perl-Cairo - Perl interface to the cairo library
Review Request: perl-Cairo - Perl interface to the cairo library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-03 13:12 EDT by Jose Pedro Oliveira
Modified: 2011-05-28 11:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 09:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-03 13:12:25 EDT
Spec Name or Url: 
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Cairo.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Cairo-0.03-1.src.rpm

Description:
Cairo provides Perl bindings for the vector graphics library cairo.
It supports multiple output targets, including the X Window Systems,
PDF, and PNG.  Cairo produces identical output on all those targets
and makes use of hardware acceleration wherever possible.

Note:
This module may be used by latest version of perl-Gtk2
(distro >= FC-5)
Comment 1 Jason Tibbitts 2006-04-13 12:19:22 EDT
Issues:

BuildRequires: perl is not permitted.  (This rule might change today.)

The build fails in mock (development branch and FC5, i386 and x86_64).  However,
it does run outside of mock on FC5 i386.  Perhaps there's a missing BuildRequires:?

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/Cairo...........
#   Failed test in t/Cairo.t at line 178.
#          got: 'no-memory'
#     expected: 'success'
# Looks like you failed 1 test of 50.
dubious
        Test returned status 1 (wstat 256, 0x100)
DIED. FAILED test 50
        Failed 1/50 tests, 98.00% okay
t/CairoFont.......
#   Failed test 'The object isa Cairo::ScaledFont'
#   in t/CairoFont.t at line 56.
#     The object isn't defined
Can't call method "status" on an undefined value at t/CairoFont.t line 57.
# Looks like you planned 13 tests but only ran 10.
# Looks like you failed 1 test of 10 run.
# Looks like your test died just after 10.
dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 10-13
        Failed 4/13 tests, 69.23% okay
t/CairoMatrix.....ok
t/CairoPath.......ok
t/CairoPattern....ok
t/CairoSurface....ok
        8/19 skipped: various reasons
Failed Test   Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/Cairo.t        1   256    50    1   2.00%  50
t/CairoFont.t  255 65280    13    7  53.85%  10-13
8 subtests skipped.
Failed 2/6 test scripts, 66.67% okay. 5/112 subtests failed, 95.54% okay.
make: *** [test_dynamic] Error 255
error: Bad exit status from /var/tmp/rpm-tmp.83677 (%check)
Comment 2 Jose Pedro Oliveira 2006-04-13 12:41:05 EDT
(In reply to comment #1)
> BuildRequires: perl is not permitted.  (This rule might change today.)

It will have my vote! This has been a recurring issue...
 
> The build fails in mock (development branch and FC5, i386 and x86_64).  However,
> it does run outside of mock on FC5 i386.  Perhaps there's a missing
BuildRequires:?
> 
> + make test
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
> 'blib/lib', 'blib/arch')" t/*.t
> t/Cairo...........
> #   Failed test in t/Cairo.t at line 178.
> #          got: 'no-memory'
> #     expected: 'success'
> # Looks like you failed 1 test of 50.
> dubious
>         Test returned status 1 (wstat 256, 0x100)
> DIED. FAILED test 50
>         Failed 1/50 tests, 98.00% okay
> t/CairoFont.......
> #   Failed test 'The object isa Cairo::ScaledFont'
> #   in t/CairoFont.t at line 56.
> #     The object isn't defined
> Can't call method "status" on an undefined value at t/CairoFont.t line 57.
> # Looks like you planned 13 tests but only ran 10.
> # Looks like you failed 1 test of 10 run.
> # Looks like your test died just after 10.
> dubious
>         Test returned status 255 (wstat 65280, 0xff00)
> DIED. FAILED tests 10-13
>         Failed 4/13 tests, 69.23% okay
> t/CairoMatrix.....ok
> t/CairoPath.......ok
> t/CairoPattern....ok
> t/CairoSurface....ok
>         8/19 skipped: various reasons
> Failed Test   Stat Wstat Total Fail  Failed  List of Failed
> -------------------------------------------------------------------------------
> t/Cairo.t        1   256    50    1   2.00%  50
> t/CairoFont.t  255 65280    13    7  53.85%  10-13

I'm suspecting it needs xfs running... I will try to figure it out.

Thanks,
jpo
Comment 3 Jose Pedro Oliveira 2006-04-18 15:00:53 EDT
Disabled the test suite (I have no ideia why it fails in mock)

SRPM: http://gsd.di.uminho.pt/jpo/software/fedora/perl-Cairo-0.03-2.src.rpm
Specfile: same link

Comment 4 Jason Tibbitts 2006-04-21 15:07:31 EDT
It's too bad about the test suite; maybe in the future we can figure out why it
won't work.

Issues:
rpmlint complains:
W: perl-Cairo devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Cairo/Install/cairo-perl.h
W: perl-Cairo devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Cairo/Install/cairo-perl-auto.h

I can't imagine it being worth it to split these to a -devel package, but the
packaging guidelines insist that they not be in the main package.  This seems to
be a perl thing, as other modules (DBI, Gtk-Perl, PDL, etc.) include header
files that aren't in devel packages.

So I'm inclined to approve, but I'll ask for clarification.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible and included in the package.
* source files match upstream:
   6ad0ab39eb8f56272373a9ea4515f37a  Cairo-0.03.tar.gz
   6ad0ab39eb8f56272373a9ea4515f37a  Cairo-0.03.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
X rpmlint complains about header files.
* final provides and requires are sane.
* a shared library is present, but it is internal to perl so ldconfig is not needed.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
O %check is disabled.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
X headers are present and not in -devel package.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 5 Jason Tibbitts 2006-04-24 18:00:51 EDT
No clarification has been forthcoming, so I'll just make an executive decision
to follow existing practise from Core (even though I know core stuff hasn't
undergone the strict review that Extras packages have).  In any case, it would
be dumb to make a -devel package for two header files that are used internally
to Perl.

APPROVED
Comment 6 Jose Pedro Oliveira 2006-04-28 09:35:27 EDT
Thanks for the review.

Imported and built for FC-5 and devel.  Now I have to update perl-Gtk2 (FC-5 and
devel).
Comment 7 Tom "spot" Callaway 2011-05-28 01:41:13 EDT
Package Change Request
======================
Package Name: perl-Cairo
New Branches: el6
Owners: spot
Comment 8 Jason Tibbitts 2011-05-28 11:06:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.